Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_IPC_SAP Class Reference

Defines the member functions for the base class of the ACE_IPC_SAP abstraction. More...

`#include <IPC_SAP.h>`

Inheritance diagram for ACE_IPC_SAP:

[legend]
List of all members.

## Public Methods
| ~ACE_IPC_SAP (void)
| Default dtor.
int | control (int cmd, void *) const
| Interface for <ioctl>.
int | enable (int value) const
int | disable (int value) const
ACE_HANDLE | get_handle (void) const
| Get the underlying handle.
void | set_handle (ACE_HANDLE handle)
| Set the underlying handle.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
| ACE_IPC_SAP (void)
| Default constructor.
## Private Attributes
ACE_HANDLE | handle_
| Underlying I/O handle.
## Static Private Attributes
pid_t | pid_ = 0
| Cache the process ID.

## Detailed Description

Defines the member functions for the base class of the ACE_IPC_SAP abstraction.

## Constructor & Destructor Documentation

ASYS_INLINE ACE_IPC_SAP::~ACE_IPC_SAP | ( | void |  | ) |

| Default dtor.

ACE_IPC_SAP::ACE_IPC_SAP | ( | void |  | ) | `[protected]`

| Default constructor.

## Member Function Documentation

ASYS_INLINE int ACE_IPC_SAP::control | ( | int | cmd,
|  | void * |
| ) | const

| Interface for <ioctl>. Reimplemented in ACE_UPIPE_Stream.

int ACE_IPC_SAP::disable | ( | int | value | ) | const

| Disable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>. Reimplemented in ACE_SPIPE.

void ACE_IPC_SAP::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_FIFO, ACE_FIFO_Recv, ACE_FIFO_Recv_Msg, ACE_FIFO_Send, ACE_FIFO_Send_Msg, ACE_LSOCK_Acceptor, ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, ACE_LSOCK_Stream, ACE_MEM_Acceptor, ACE_MEM_IO, ACE_MEM_Stream, ACE_SOCK, ACE_SOCK_Acceptor, ACE_SOCK_CODgram, ACE_SOCK_Dgram, ACE_SOCK_Dgram_Bcast, ACE_SOCK_Dgram_Mcast, ACE_SOCK_IO, ACE_SOCK_SEQPACK_Acceptor, ACE_SOCK_SEQPACK_Association, ACE_SOCK_Stream, ACE_SPIPE, ACE_SPIPE_Acceptor, ACE_SPIPE_Stream, ACE_TLI, ACE_TLI_Acceptor, ACE_TLI_Stream, ACE_UPIPE_Acceptor, and ACE_UPIPE_Stream.

int ACE_IPC_SAP::enable | ( | int | value | ) | const

| Enable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>.

ASYS_INLINE ACE_HANDLE ACE_IPC_SAP::get_handle | ( | void |  | ) | const

| Get the underlying handle. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, ACE_LSOCK_Stream, and ACE_UPIPE_Stream.

ASYS_INLINE void ACE_IPC_SAP::set_handle | ( | ACE_HANDLE | handle | ) |

| Set the underlying handle. Reimplemented in ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, and ACE_LSOCK_Stream.

## Member Data Documentation

ACE_IPC_SAP::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_FIFO, ACE_FIFO_Recv, ACE_FIFO_Recv_Msg, ACE_FIFO_Send, ACE_FIFO_Send_Msg, ACE_LSOCK_Acceptor, ACE_LSOCK_CODgram, ACE_LSOCK_Dgram, ACE_LSOCK_Stream, ACE_MEM_Acceptor, ACE_MEM_IO, ACE_MEM_Stream, ACE_SOCK, ACE_SOCK_Acceptor, ACE_SOCK_CODgram, ACE_SOCK_Dgram, ACE_SOCK_Dgram_Bcast, ACE_SOCK_Dgram_Mcast, ACE_SOCK_IO, ACE_SOCK_SEQPACK_Acceptor, ACE_SOCK_SEQPACK_Association, ACE_SOCK_Stream, ACE_SPIPE, ACE_SPIPE_Acceptor, ACE_SPIPE_Stream, ACE_TLI, ACE_TLI_Acceptor, ACE_TLI_Stream, ACE_UPIPE_Acceptor, and ACE_UPIPE_Stream.

ACE_HANDLE ACE_IPC_SAP::handle_`[private]`

| Underlying I/O handle.

pid_t ACE_IPC_SAP::pid_ = 0`[static, private]`

| Cache the process ID.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/IPC_SAP.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/IPC_SAP.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/IPC_SAP.i